%define module curl

Summary:	A Python interface to libcurl
Name:		python-%{module}
Version:	7.19.0
Release:	%mkrel 8
Group:		Development/Python
License:	LGPLv2+
URL:		http://pycurl.sourceforge.net
Source0:	http://pycurl.sourceforge.net/download/pycurl-%{version}.tar.gz
# patches from Fedora
Patch0:         %{name}-no-static-libs.patch
Patch1:         %{name}-fix-do_curl_reset-refcount.patch
Patch2:		pycurl-7.19.0-link.patch
BuildRequires:  python-devel
BuildRequires:  curl-devel >= 7.19.0
BuildRequires:  openssl-devel

BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:	python-pycurl < %{version}-%{release}
Provides:	python-pycurl = %{version}-%{release}

%description
PycURL is a Python interface to libcurl. PycURL can be used to fetch
objects identified by a URL from a Python program, similar to the
urllib Python module. PycURL is mature, very fast, and supports a lot
of features.

%prep
%setup -qn pycurl-%{version}
%patch0 -p0
%patch1 -p1
%patch2 -p0
chmod a-x examples/*

%build
env CFLAGS="%{optflags} -DHAVE_CURL_OPENSSL" %{__python} setup.py build

%check
%{__python} tests/test_internals.py -q

%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root=%{buildroot} --optimize=2
rm -rf %{buildroot}%{_datadir}/doc/pycurl
 

%files
%defattr(-,root,root)
%doc COPYING ChangeLog README TODO examples doc tests
%{python_sitearch}/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 7.19.0-8.mga3
+ Revision: 378626
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 12 2012 fwang <fwang> 7.19.0-7.mga3
+ Revision: 329949
- fix linkage
- fix linkage
- fix linkage

* Thu Feb 17 2011 dmorgan <dmorgan> 7.19.0-6.mga1
+ Revision: 53056
- imported package python-curl

